<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/GalleryUsers.class.php');

Template::set('template',
[
	'content' => 'user_password.tpl.php',
	'file' => 'user.tpl.php'
]);

$r = GalleryUsers::changePassword();
if ($r < 0)
{
	Gallery::error();
	return;
}

$r = GalleryUsers::getInfos();
if ($r < 0)
{
	Gallery::error();
	return;
}
if ($r < 1)
{
	Gallery::notFound();
	return;
}
?>